Mimari Kaldır

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Remove and the translation is 27% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎日本語
Arrow-left.svg Arch Add.svg Add component önceki sayfa:
sonraki sayfa: Survey Arch Survey.svg Arrow-right.svg

Arch Remove.svg Mimari Kaldır

Menü konumu
Arch → Remove
Tezgahlar
Arch
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
-
Ayrıca bkz
Arch Add


Description

The Remove tools allows you to do 2 kinds of operations:

  • Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the Arch Add.svg Arch Add example.
  • Subtract a shape-based object from an Arch component such as a Arch Wall.svg Arch Wall or Arch Structure.svg Arch Structure

The counterpart of this tool is the Arch Add.svg Arch Add tool.

Arch Remove example.jpg

A box subtracted from a wall, leaving a hole in it.


Usage

  1. Select a subcomponent inside an Arch object.
  2. Press the Arch Remove.svg button, or ArchArch Remove.svg Remove from the top menu.

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the Arch Remove.svg button, or ArchArch Remove.svg Remove from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Remove tool can be used in macros and from the Python console by using the following function:

removeComponents(objectsList, host=None)
  • Removes the given objects in objectsList from their parents.
  • If a host object is specified, this function will try adding the objects in objectsList as holes to the host.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Add.svg Add component önceki sayfa:
sonraki sayfa: Survey Arch Survey.svg Arrow-right.svg